> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# トリアージ承認を取得

> 全ユーザーが自分の申請を確認できます。Can approve or reject triage requests権限（`heeler.approve_triage_request`）を持つ審査担当者は他の申請も確認できます。プロジェクトのアクセス制御が適用される場合は、すべての対象プロジェクトへのアクセス権が必要です。表示対象外の申請は404を返します。 approval、findings、paginationを返します。問題はプロジェクトのアクセス権に従い、プロジェクトのない行は会社の管理者にのみ返します。アクセス制御下で、申請者でも会社の管理者でもない審査担当者には、project_idsとteam_idsを除いたruleと空のsource_metadataを返します。



## OpenAPI

````yaml /ja/api-reference/openapi.json get /triage/approvals/{action_id}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
  - url: https://eu.corgea.app/api/v1
    description: EU本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /triage/approvals/{action_id}:
    get:
      tags:
        - トリアージ
      summary: トリアージ承認を取得
      description: >-
        全ユーザーが自分の申請を確認できます。Can approve or reject triage
        requests権限（`heeler.approve_triage_request`）を持つ審査担当者は他の申請も確認できます。プロジェクトのアクセス制御が適用される場合は、すべての対象プロジェクトへのアクセス権が必要です。表示対象外の申請は404を返します。
        approval、findings、paginationを返します。問題はプロジェクトのアクセス権に従い、プロジェクトのない行は会社の管理者にのみ返します。アクセス制御下で、申請者でも会社の管理者でもない審査担当者には、project_idsとteam_idsを除いたruleと空のsource_metadataを返します。
      operationId: getTriageApproval
      parameters:
        - name: action_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ok
                  approval:
                    $ref: '#/components/schemas/TriageApproval'
                  findings:
                    type: array
                    items:
                      $ref: '#/components/schemas/JaTriageFindingAudit'
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                      page_size:
                        type: integer
                      total_pages:
                        type: integer
                      total_findings:
                        type: integer
        '400':
          description: 無効なリクエスト
        '401':
          description: トークンがないか無効
        '403':
          description: 権限またはプランのアクセスが不足
        '404':
          description: 申請が存在しないかアクセス対象外
        '405':
          description: 未対応のHTTPメソッド
components:
  schemas:
    TriageApproval:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
        source:
          type: string
        target_status:
          type: string
        justification:
          type: string
        accepted_risk_expiry_date:
          type: string
          format: date-time
          nullable: true
        rule:
          type: object
        source_metadata:
          type: object
        requires_approval:
          type: boolean
        requested_by:
          type: integer
          nullable: true
        approved_by:
          type: integer
          nullable: true
        rejected_by:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
        reviewed_at:
          type: string
          format: date-time
          nullable: true
        applied_at:
          type: string
          format: date-time
          nullable: true
        counts:
          type: object
          properties:
            matched:
              type: integer
            unmatched:
              type: integer
            ambiguous:
              type: integer
            applied:
              type: integer
            conflicts:
              type: integer
        decision_label:
          type: string
        requester:
          type: object
          properties:
            id:
              type: integer
              nullable: true
            name:
              type: string
              nullable: true
        review_comment:
          type: string
          nullable: true
        finding_total:
          type: integer
        finding_previews:
          type: array
          maxItems: 3
          items:
            type: object
            properties:
              kind:
                type: string
                enum:
                  - sast
                  - sca
              id:
                type: string
              title:
                type: string
              severity:
                type: string
              location:
                type: string
        project_names:
          type: array
          items:
            type: string
        skip_count:
          type: integer
        closed_by_rescan:
          type: boolean
        can_review:
          type: boolean
        is_requester:
          type: boolean
        suggestion:
          type: object
          nullable: true
        investigation:
          type: object
          nullable: true
    JaTriageFindingAudit:
      type: object
      properties:
        id:
          type: string
          format: uuid
        finding_type:
          type: string
          enum:
            - sast
            - sca
          description: >-
            sastはSAST、シークレット、ロジック、コード品質の各種別のファインディング、scaは依存関係のファインディングを表します。一括トリアージが対象とするのはこれらの種別のみです。
        finding_id:
          type: string
          format: uuid
          nullable: true
        project_id:
          type: integer
          nullable: true
        previous_status:
          type: string
          nullable: true
        previous_status_comment:
          type: string
          nullable: true
        previous_accepted_risk_expiry_date:
          type: string
          format: date-time
          nullable: true
        new_status:
          type: string
        new_status_comment:
          type: string
          nullable: true
        severity:
          type: string
          nullable: true
        application_status:
          type: string
          enum:
            - pending
            - applied
            - conflict
            - unmatched
            - ambiguous
        match_evidence:
          type: object
        source_record:
          type: object
        applied_at:
          type: string
          format: date-time
          nullable: true
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー 無効なユーザーのAPIトークンは拒否されます。
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.